version: "2.4"

services:
  website:
    image: registry.greenbaum.cloud/pub_solar/miom.space:$DEPLOY_TAG
    mem_limit: 128m
    network_mode: My-Fabric-Network
    ports:
      - 80
      - 443
    volumes:
      - caddy_data:/data
    labels:
      - triton.cns.services=miom-website
      - "com.docker.swarm.affinities=[\"com.docker.compose.volume==caddy_data\"]"

volumes:
  caddy_data:
    # uncomment this after volume creation
    external: true
    name: miomspace_caddy_data
    driver: tritonnfs
    driver_opts:
      size: "1G"
    labels:
      - volumename=miomspace_caddy_data
